Subject: Re: bug#58005: 13.1.4; Can't work with indirect buffers

From: Arash Esbati <[email-masked]>
Date: Thu, 25 Apr 2024 18:56:57 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:
>
>>> To AUCTeX admins: Do you think Vangelis'es patch needs copyright
>>> assignment? In my opinion, it doesn't because definition of
>>> `TeX-buffer-file-name' is straightforward and other changes are trivial
>>> (replacements of `buffer-file-name' -> `TeX-buffer-file-name' or
>>> additions of `(with-current-buffer (or (buffer-base-buffer)
>>> (current-buffer))...')
>
> I committed with "Copyright-paperwork-exempt: yes".

Thanks for looking after this report and sorry for the late response.
Indeed, the change is large, but looking at the complexity, I think we
can let it pass without copyright assignment.

Also thanks to Vangelis for providing the change.

Best, Arash